# RetroFW JilJil

![1](https://telegra.ph/file/3402cbb5a0065adee1f4f.jpg)![2](https://telegra.ph/file/51443278b9b2e4f8213f5.jpg)![3](https://telegra.ph/file/fc95a25bf190d0b726c1e.jpg) 

This repo contains the source code for my port of [JilJil](https://www.cavestory.org/pixels-works/jil-jil.php) for (hopefully) **RetroFW** compatible devices and **Linux**.

JilJil is a simple **arcade-style** score based game, where you control a weird **worm** inside an aquarium, and you have to run away from a **cat** that is trying to catch you by the ribbon on your tail. You also have to bounce off of a **lemon** as many times as you can.

While this game is named as a port of JilJil, the actual source code  of JilJil is not publicly available, so I decided to rewrite the game from scratch and I've added some tweaks here and there to  spice up the gameplay. The physics are not supposed to be 1:1 to actual  JilJil!

Some of the assets and resources used to create this game are (c) 1997 Studio Pixel. If you represent mr. Daisuke Amaya, Studio Pixel, or any affiliates, please contact me at legal@massivebox.eu.org.

## Make-ing

### For Linux

Simply run `make`.  
You'll need `SDL` development libraries (including SDL Mixer and SDL Image), and the C compiler `gcc`.  
You will get an executable called `2048.dge`, run it and enjoy your 2048 experience!  

### For RetroFW

Run `make -f Makefile.RS97`  
You'll need a [working buildroot installation](https://github.com/retrofw/retrofw.github.io/wiki/Configuring-a-Toolchain), that includes the SDL development libraries, and `gcc`. Since RetroFW runs on MIPSel devices, instead of the compiler `gcc`, the Makefile will use `mipsel-linux-gcc`, make sure it is a working command on your machine, if it isn't, make sure that the folder where the `mipsel-linux-gcc` binary is stored is in `$PATH`.
You will get a file called `build.ipk` that you can [install](https://github.com/retrofw/retrofw.github.io/wiki/Emulators-and-Apps#install-ipk) on RetroFW devices.

### For Windows

I have no idea. Just get Linux :P 

## Contributing

Contributions are always welcome! You can contribute by opening a pull request or an issue.  
You can also report me stuff via email if you don't want to sign up to whichever Git server I choose to host this project.  
My mail is hello@massivebox.eu.org.

